Get a list of care plans
get
/CarePlan
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of care plans that meet the supplied query parameters.
- Provide
_idorpatient. - Use
categoryonly withpatient.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
_revinclude: string
The inclusion of related Provenance resources.Allowed Values:
[ "Provenance:target" ] -
category: string
The assessment and plan of treatment category.Allowed Values:
[ "assess-plan", "http://hl7.org/fhir/us/core/CodeSystem/careplan-category|assess-plan" ] -
patient: string
The patient reference or ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
CarePlan
The FHIR R4 CarePlan resource.
-
object
ProvenanceForCarePlan
Additional Properties Allowed:
trueThe included FHIR Provenance resource. -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : CarePlan
Type:
objectThe FHIR R4 CarePlan resource.
Show Source
-
author: object
ReferenceForCarePlan
-
category: array
category
-
id(required): string
-
intent(required): string
Allowed Values:
[ "plan" ] -
meta: object
meta
-
period: object
Period
-
resourceType(required): string
Allowed Values:
[ "CarePlan" ] -
status(required): string
The FHIR request status.
-
subject(required): object
ReferenceForCarePlan
-
text: object
Narrative
-
title: string
Nested Schema : ProvenanceForCarePlan
Type:
objectAdditional Properties Allowed:
trueThe included FHIR Provenance resource.
Show Source
-
resourceType: string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source